## org.apache.poi.xwpf.usermodel
Class TOC

    java.lang.Object
      org.apache.poi.xwpf.usermodel.TOC

    public class TOC

extends java.lang.Object

Constructor Summary
`TOC()`
`TOC(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSdtBlock block)`

Method Summary
`void` `addRow(int level, java.lang.String title, int page, java.lang.String bookmarkRef)`
`org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSdtBlock` `getBlock()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TOC

    public TOC()

### TOC

    public TOC(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSdtBlock block)

Method Detail

### getBlock

    @Internal
    public org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSdtBlock getBlock()

### addRow

    public void addRow(int level,
                       java.lang.String title,
                       int page,
                       java.lang.String bookmarkRef)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.